#
# spec file for package libmodelgbp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libsoname libmodelgbp0

Name:           libmodelgbp
Version:        1.7.0
Release:        2.1
Summary:        Generated modelgbp model for use with libopflex
License:        SUSE-Public-Domain
Group:          Development/Libraries/C and C++
Url:            https://wiki.opendaylight.org/view/OpFlex:Main
# The library is a generated C++ source. It is generated from the
# Java library https://git.opendaylight.org/gerrit/opflex using the 
# Genie framework. The command to generate the source is: 
# `mvn compile exec:java` which generates the source based on the meta-model
# which is also available in the same path. The source so generated
# is released in the archive below. This specification uses the release
# tarball from the archive.
Source:         https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/opflex/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  libopflex-devel
BuildRequires:  doxygen
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Generated modelgbp model for use with libopflex.

%package -n %{libsoname}
Summary:        Generated modelgbp model for use with libopflex
Group:          Development/Libraries/C and C++

%description -n %{libsoname}
Generated modelgbp model for use with libopflex.

%package devel
Summary:        Development libraries for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libsoname} = %{version}

%description devel
Development libraries for %{name}

%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name} --disable-static
make %{?_smp_mflags}

%install
%make_install

rm %{buildroot}/%{_libdir}/libmodelgbp.la

%check
make check

%post -n %{libsoname} -p /sbin/ldconfig
%postun -n %{libsoname} -p /sbin/ldconfig


%files -n %{libsoname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/modelgbp/
%doc %{_docdir}/%{name}/

%changelog
* Tue Dec 11 2018 mmnelemane@suse.com
- Upgrade to version 1.7.0 to build for SLE_12_SP4 and later
  * The library is a generated C++ source.
  * It is generated from the Java library https://git.opendaylight.org/gerrit/opflex
    using the Genie framework.
  * The command to generate the source is:
    `mvn compile exec:java` which generates the source based on the meta-model
    which is also available in the same path.
  * The source so generated is released in the archive below. This specification
    uses the release tarball from the archive.
  * Since this is a generated source, a regular changelog cannot be genarated.
* Thu Apr 21 2016 tbechtold@suse.com
- Initial packaging (version 1.2.0)
